{
    "type" : "system",

    "*IDN"  : {
        "end" : true,
        "func" : ["query"],
        "power" : ["Usually"],
        "minSize" : 4,
        "key" : "*IDN",
        "paramType" : ["null"],
        "inputType" : "null",
        "outputType" : "String"
    },

    "Instrument"  : {
        "end" : true,
        "func" : ["query"],
        "power" : ["Usually"],
        "minSize" : 4,
        "key" : "Instrument",
        "paramType" : ["null"],
        "inputType" : "null",
        "outputType" : "String"
    },

    "*RST"  : {
        "end" : true,
        "func" : ["paramlessSet"],
        "power" : ["Usually"],
        "minSize" : 4,
        "key" : "*RST",
        "paramType" : ["null"],
        "inputType" : "null",
        "outputType" : "null"
    },

    "*CLS"  : {
        "end" : true,
        "func" : ["paramlessSet"],
        "power" : ["Usually"],
        "minSize" : 4,
        "key" : "*CLS",
        "paramType" : ["null"],
        "inputType" : "null",
        "outputType" : "null"
    },

    "*WAI"  : {
        "end" : true,
        "func" : ["paramlessSet"],
        "power" : ["Usually"],
        "minSize" : 4,
        "key" : "*WAI",
        "paramType" : ["null"],
        "inputType" : "null",
        "outputType" : "null"
    },

    "*ERR"  : {
        "end" : true,
        "func" : ["query"],
        "power" : ["Usually"],
        "minSize" : 4,
        "key" : "*ERR",
        "paramType" : ["null"],
        "inputType" : "null",
        "outputType" : "String"
    },

    "SYStem" : {
        "end" : false,
        "func" : ["null"],
        "power" : ["Normal"],
        "minSize" : 3,
        "key" : "",

        "ERRor" : {
            "end" : true,
            "func" : ["query"],
            "power" : ["Usually"],
            "minSize" : 4,
            "key" : "*ERR",
            "paramType" : ["null"],
            "inputType" : "null",
            "outputType" : "String"
        }
    },

    "INSTtrument" : {
        "end" : true,
        "func" : ["query","set"],
        "power" : ["Usually"],
        "minSize" : 4,
        "key" : "InstMode",
        "paramType" : ["char","double"],
        "inputType" : "int32_t",
        "outputType" : "String",

        "MODE" : {
            "end" : true,
            "func" : ["query","set"],
            "power" : ["Usually"],
            "minSize" : 4,
            "key" : "InstMode",
            "paramType" : ["char","double"],
            "inputType" : "int32_t",
            "outputType" : "String"
        },

        "SELect" : {
            "end" : true,
            "func" : ["query","set"],
            "power" : ["Usually"],
            "minSize" : 3,
            "key" : "InstMode",
            "paramType" : ["char","double"],
            "inputType" : "int32_t",
            "outputType" : "String"
        },

        "DEVICE" : {
            "end" : true,
            "func" : ["paramString"],
            "power" : ["Usually"],
            "minSize" : 3,
            "key" : "InstDevice",
            "paramType" : ["string"],
            "inputType" : "null",
            "outputType" : "null"
        }
    },

    "FETCh" : {
        "end" : true,
        "func" : ["query","set"],
        "power" : ["Usually"],
        "minSize" : 4,
        "key" : "Fetch",
        "paramType" : ["char","double"],
        "inputType" : "int32_t",
        "outputType" : "String"
    },
    
    "parameter" : [
        ["SWP","InstMode",0,3],
        ["SPA","InstMode",0,3],
        ["Spectrum","InstMode",0,3],
        ["SA","InstMode",0,2],
        ["IQ","InstMode",1,2],
        ["IQS","InstMode",1,3],
        ["STOP","Fetch",0,4],
        ["STARt","Fetch",1,4]
    ]
    
}